debug_traceBlockByNumber

Parameters

  1. blockNumber - string The block number will be traced, hex with prefix0x.
  2. tracer-object(optional) see tracer

Returns

  • Object - trace object
    • type - The type of the call
    • from - The address the transaction is sent from
    • to - The address the transaction is directed to
    • value - The integer of the value sent with this transaction
    • gas - The integer of the gas provided for the transaction execution
    • gasUsed - The integer of the gas used
    • input - The data given at the time of input
    • output - The data which is returned as an output
    • calls - A list of sub-calls

Example

Request

curl --location 'https://scroll-alpha.unifra.io/v1/{your-api-key}' \
--header 'Content-Type: application/json' \
--data '{
    "jsonrpc": "2.0",
    "method": "debug_traceBlockByNumber",
    "params": [
        "0x112",
        {
            "tracer": "callTracer",
            "tracerConfig": {
                "onlyTopCall": false,
                "withLog": true
            }
        }
    ],
    "id": 0
}'

Response

{
    "jsonrpc": "2.0",
    "id": 0,
    "result": [
        {
            "result": {
                "type": "CALL",
                "from": "0x89e31727c42646b88d5f2d576bc2859434e01144",
                "to": "0x5300000000000000000000000000000000000002",
                "value": "0x0",
                "gas": "0x48c7",
                "gasUsed": "0x3671",
                "input": "0xbede39b50000000000000000000000000000000000000000000000000000003135ab26b9",
                "output": "0x",
                "calls": [
                    {
                        "type": "STATICCALL",
                        "from": "0x5300000000000000000000000000000000000002",
                        "to": "0x5300000000000000000000000000000000000003",
                        "gas": "0x3437",
                        "gasUsed": "0xa21",
                        "input": "0xefc7840100000000000000000000000089e31727c42646b88d5f2d576bc2859434e01144",
                        "output": "0x0000000000000000000000000000000000000000000000000000000000000001"
                    }
                ]
            }
        }
    ]
}
Path Params
string
required
Body Params
string
Defaults to { "method": "debug_traceCall", "params": [ { "from": "0xe84118e2b5c74f9610377e86c840ac70f8ca925d", "to": "0xd9880690bd717189cc3fbe7b9020f27fae7ac76f", "value": "0xb1a2bc2ec50000", "gas": "0x226dc", "gasUsed": "0x20b84", "data": "0x5ae401dc00000000000000000000000000000000000000000000000000000000643925d800000000000000000000000000000000000000000000000000000000000000400000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000e404e45aaf000000000000000000000000a1ea0b2354f5a344110af2b6ad68e75545009a03000000000000000000000000a0d71b9877f44c744546d649147e3f1e70a9376000000000000000000000000000000000000000000000000000000000000001f4000000000000000000000000e84118e2b5c74f9610377e86c840ac70f8ca925d00000000000000000000000000000000000000000000000000b1a2bc2ec500000000000000000000000000000000000000000000000008b76dd55b0c2f4f5113000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000" }, "0x13d5d0", { "tracer": "callTracer", "tracerConfig": { "onlyTopCall": false, "withLog": true } } ], "id": 1, "jsonrpc": "2.0" }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json